Subject: [Bitcoin-development] Adding a pong message

From: Mike Hearn <[email-masked]>
Date: Tue, 13 Mar 2012 19:06:38 +0100

https://github.com/bitcoin/bitcoin/pull/932 adds a "pong" message that
echoes back a 64 bit nonce contained in the ping, if the protocol
version is new enough.

The goal of this is to make it easier for clients, especially mobile
clients, to quickly check if a connection is stale, and also to see if
a remote node is overloaded so we can avoid talking to it. A common
case where this happens is if the remote node is itself downloading
the block chain or doing something equally intensive.

Any objections?